automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] Enable `errexit' shell flag in various tests.


From: Stefano Lattarini
Subject: [PATCH] Enable `errexit' shell flag in various tests.
Date: Tue, 27 Apr 2010 14:33:14 +0200
User-agent: KMail/1.12.1 (Linux/2.6.30-2-686; KDE/4.3.4; i686; ; )

Hello automakers.

Here is another simple patch which ought to make the use of the 
`errexit' shell flag in the testsuite more consistent.  This one affects 
a larger number of files, but since the changes are all similar and all 
done in a similar context, this shouldn't be a problem.

Regards,
    Stefano

-*-*-

Enable `errexit' shell flag in various tests.

* tests/acoutnoq.test: Enabled `errexit' shell flag, and related
minor changes.
* tests/acoutpt.test: Likewise.
* tests/acoutqnl.test: Likewise.
* tests/amassign.test: Likewise.
* tests/ansi2.test: Likewise.
* tests/ansi4.test: Likewise.
* tests/badprog.test: Likewise.
* tests/checkall.test: Likewise.
* tests/clean.test: Likewise.
* tests/colneq2.test: Likewise.
* tests/colon.test: Likewise.
* tests/colon5.test: Likewise.
* tests/colon6.test: Likewise.
* tests/comment.test: Likewise.
* tests/compile_f90_c_cxx.test: Likewise.
* tests/compile_f_c_cxx.test: Likewise.
* tests/cond3.test: Likewise.
* tests/cond6.test: Likewise.
* tests/cond13.test: Likewise.
* tests/conf2.test: Likewise.
* tests/confvar.test: Likewise.
* tests/confvar2.test: Likewise.
* tests/cond8.test: Likewise, plus a cosmetic change.
* tests/confh4.test: Likewise.  Also, add in the heading comments
an excerpt from the original bug report which motivated the
creation of this test, to make its purpose clearer.

-*-*-

No portability problems should be introduced, since the modified test 
scripts use only simple commands (no command substitution, no compound
command, no shell function), and the only relevant additional changes
was those turning the line(s):
  $ACLOCAL || Exit 1
  $AUTOMAKE || Exit 1
  grep ... Makefile.in || Exit 1
into the line(s):
  $ACLOCAL
  $AUTOMAKE
  grep ... Makefile.in
This shouldn't cause false negatives, unless maybe on extremely
broken shells.

-*-*-
From ad963b76fc5d60b71e6dee2e7ed32188718deec9 Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Tue, 27 Apr 2010 14:27:55 +0200
Subject: [PATCH] Enable `errexit' shell flag in various tests.

* tests/acoutnoq.test: Enabled `errexit' shell flag, and related
minor changes.
* tests/acoutpt.test: Likewise.
* tests/acoutqnl.test: Likewise.
* tests/amassign.test: Likewise.
* tests/ansi2.test: Likewise.
* tests/ansi4.test: Likewise.
* tests/badprog.test: Likewise.
* tests/checkall.test: Likewise.
* tests/clean.test: Likewise.
* tests/colneq2.test: Likewise.
* tests/colon.test: Likewise.
* tests/colon5.test: Likewise.
* tests/colon6.test: Likewise.
* tests/comment.test: Likewise.
* tests/compile_f90_c_cxx.test: Likewise.
* tests/compile_f_c_cxx.test: Likewise.
* tests/cond3.test: Likewise.
* tests/cond6.test: Likewise.
* tests/cond13.test: Likewise.
* tests/conf2.test: Likewise.
* tests/confvar.test: Likewise.
* tests/confvar2.test: Likewise.
* tests/cond8.test: Likewise, plus a cosmetic change.
* tests/confh4.test: Likewise.  Also, add in the heading comments
an excerpt from the original bug report which motivated the
creation of this test, to make its purpose clearer.
---
 ChangeLog                    |   31 +++++++++++++++++++++++++++++++
 tests/acoutnoq.test          |    7 +++++--
 tests/acoutpt.test           |    7 +++++--
 tests/acoutqnl.test          |    8 +++++---
 tests/amassign.test          |    4 +++-
 tests/ansi2.test             |    9 ++++++---
 tests/ansi4.test             |   11 +++++++----
 tests/badprog.test           |    6 ++++--
 tests/checkall.test          |   11 +++++++----
 tests/clean.test             |    8 +++++---
 tests/colneq2.test           |    6 ++++--
 tests/colon.test             |    7 +++++--
 tests/colon5.test            |    9 ++++++---
 tests/colon6.test            |    7 +++++--
 tests/comment.test           |    6 ++++--
 tests/compile_f90_c_cxx.test |   16 +++++++++-------
 tests/compile_f_c_cxx.test   |   16 +++++++++-------
 tests/cond13.test            |    8 +++++---
 tests/cond3.test             |   11 +++++++----
 tests/cond6.test             |    6 ++++--
 tests/cond8.test             |   12 ++++++++----
 tests/conf2.test             |    7 +++++--
 tests/confh4.test            |   15 ++++++++++++---
 tests/confvar.test           |    6 ++++--
 tests/confvar2.test          |    4 +++-
 25 files changed, 168 insertions(+), 70 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 71b0d9b..5f2ce76 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,34 @@
+2010-04-27  Stefano Lattarini  <address@hidden>
+
+       Enable `errexit' shell flag in various tests.
+       * tests/acoutnoq.test: Enabled `errexit' shell flag, and related
+       minor changes.
+       * tests/acoutpt.test: Likewise.
+       * tests/acoutqnl.test: Likewise.
+       * tests/amassign.test: Likewise.
+       * tests/ansi2.test: Likewise.
+       * tests/ansi4.test: Likewise.
+       * tests/badprog.test: Likewise.
+       * tests/checkall.test: Likewise.
+       * tests/clean.test: Likewise.
+       * tests/colneq2.test: Likewise.
+       * tests/colon.test: Likewise.
+       * tests/colon5.test: Likewise.
+       * tests/colon6.test: Likewise.
+       * tests/comment.test: Likewise.
+       * tests/compile_f90_c_cxx.test: Likewise.
+       * tests/compile_f_c_cxx.test: Likewise.
+       * tests/cond3.test: Likewise.
+       * tests/cond6.test: Likewise.
+       * tests/cond13.test: Likewise.
+       * tests/conf2.test: Likewise.
+       * tests/confvar.test: Likewise.
+       * tests/confvar2.test: Likewise.
+       * tests/cond8.test: Likewise, plus a cosmetic change.
+       * tests/confh4.test: Likewise.  Also, add in the heading comments
+       an excerpt from the original bug report which motivated the
+       creation of this test, to make its purpose clearer.
+
 2010-04-25  Ralf Wildenhues  <address@hidden>
 
        Warning and error message formatting cleanups.
diff --git a/tests/acoutnoq.test b/tests/acoutnoq.test
index b7bb616..344905f 100755
--- a/tests/acoutnoq.test
+++ b/tests/acoutnoq.test
@@ -1,5 +1,6 @@
 #!/bin/sh
-# Copyright (C) 1996, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 2000, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -22,6 +23,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -30,5 +33,5 @@ END
 
 : > Makefile.am
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/acoutpt.test b/tests/acoutpt.test
index b0e44ee..e18e4e4 100755
--- a/tests/acoutpt.test
+++ b/tests/acoutpt.test
@@ -1,5 +1,6 @@
 #!/bin/sh
-# Copyright (C) 1996, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 2000, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +20,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -27,5 +30,5 @@ END
 
 : > Makefile.am
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/acoutqnl.test b/tests/acoutqnl.test
index 70c5cbc..75736f2 100755
--- a/tests/acoutqnl.test
+++ b/tests/acoutqnl.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1996, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 2000, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -27,6 +30,5 @@ END
 
 : > Makefile.am
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
-
diff --git a/tests/amassign.test b/tests/amassign.test
index 3e411c8..af098d2 100755
--- a/tests/amassign.test
+++ b/tests/amassign.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AM_CFLAGS=foo
 AC_SUBST(AM_BAR)
diff --git a/tests/ansi2.test b/tests/ansi2.test
index c0409a3..77ca2c6 100755
--- a/tests/ansi2.test
+++ b/tests/ansi2.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1996, 1997, 1998, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 1997, 1998, 2001, 2002, 2010 Free Software
+# Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > Makefile.am << 'END'
 AUTOMAKE_OPTIONS = ansi2knr
 bin_PROGRAMS = joe
@@ -31,7 +34,7 @@ END
 : > ansi2knr.c
 : > ansi2knr.1
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
 grep '^all[-a-z]*:.*ANSI2KNR' Makefile.in
diff --git a/tests/ansi4.test b/tests/ansi4.test
index baff19a..63250a9 100755
--- a/tests/ansi4.test
+++ b/tests/ansi4.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1999, 2001, 2002, 2008  Free Software Foundation, Inc.
+# Copyright (C) 1999, 2001, 2002, 2008, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AC_PROG_CC
 AM_C_PROTOTYPES
@@ -33,7 +36,7 @@ END
 : > ansi2knr.c
 : > hello.c
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
-$FGREP 'ansi2knr.$(' Makefile.in || Exit 1
+$FGREP 'ansi2knr.$(' Makefile.in
diff --git a/tests/badprog.test b/tests/badprog.test
index b8d45e9..7a31b3f 100755
--- a/tests/badprog.test
+++ b/tests/badprog.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 1996, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AC_PROG_CC
 END
@@ -28,5 +30,5 @@ bin_PROGRAMS = a,b
 a_b_SOURCES = ab.c
 END
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/checkall.test b/tests/checkall.test
index 4e7388b..7dff8fc 100755
--- a/tests/checkall.test
+++ b/tests/checkall.test
@@ -1,5 +1,6 @@
 #!/bin/sh
-# Copyright (C) 1996, 1997, 1998, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 1997, 1998, 2001, 2002, 2010 Free Software
+# Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,14 +19,16 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > Makefile.am << 'END'
 bin_SCRIPTS = derived
 check-local:
        true
 END
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
-grep '^check-am:.*all-am' Makefile.in || Exit 1
+grep '^check-am:.*all-am' Makefile.in
 grep 'MAKE.*check-local' Makefile.in
diff --git a/tests/clean.test b/tests/clean.test
index df1c168..23ab2ac 100755
--- a/tests/clean.test
+++ b/tests/clean.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 1998, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1998, 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,9 +18,11 @@
 
 . ./defs || Exit 1
 
+set -e
+
 : > Makefile.am
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
 grep '^clean-am:.*mostlyclean-am' Makefile.in
diff --git a/tests/colneq2.test b/tests/colneq2.test
index bca83ce..e454c46 100755
--- a/tests/colneq2.test
+++ b/tests/colneq2.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 1996, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +18,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > Makefile.am << 'END'
 t = a b c
 EXTRA_DIST = $(t:=.test)
@@ -27,5 +29,5 @@ END
 : > b.test
 : > c.test
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/colon.test b/tests/colon.test
index 2fd0538..da7a9da 100755
--- a/tests/colon.test
+++ b/tests/colon.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1996, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 2000, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +20,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -29,5 +32,5 @@ END
 : > foo.hin
 : > stamp-h.in
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/colon5.test b/tests/colon5.test
index 7813d94..fe97f99 100755
--- a/tests/colon5.test
+++ b/tests/colon5.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1998, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1998, 2000, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -27,7 +30,7 @@ END
 : > Makefile.am
 : > Makefile.dep
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
 grep 'Makefile:Makefile.in' Makefile.in
diff --git a/tests/colon6.test b/tests/colon6.test
index 5bd9964..99877c5 100755
--- a/tests/colon6.test
+++ b/tests/colon6.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1998, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1998, 2000, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -29,5 +32,5 @@ mkdir demo
 : > demo/Makefile.am
 : > demo/version.gin
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/comment.test b/tests/comment.test
index 0051cd0..761dbf5 100755
--- a/tests/comment.test
+++ b/tests/comment.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 1996, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1996, 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,9 +19,11 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > Makefile.am << 'END'
 AUTOMAKE_OPTIONS = #no such option
 END
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/compile_f90_c_cxx.test b/tests/compile_f90_c_cxx.test
index a685a29..21ed65d 100755
--- a/tests/compile_f90_c_cxx.test
+++ b/tests/compile_f90_c_cxx.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1998, 1999, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,6 +21,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AC_PROG_CC
 AC_PROG_CXX
@@ -37,14 +40,13 @@ END
 : > bar.c
 : > baz.cc
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
-
+$ACLOCAL
+$AUTOMAKE
 
 # Look for the macros at the beginning of rules.  Be careful, as there
 # are literal tabs at the beginning of the search strings.
-grep ' \$(COMPILE)'     Makefile.in  || Exit 1
-grep ' \$(CXXCOMPILE)'  Makefile.in  || Exit 1
-grep ' \$(FCCOMPILE)'  Makefile.in  || Exit 1
+$FGREP '       $(COMPILE)'    Makefile.in
+$FGREP '       $(CXXCOMPILE)' Makefile.in
+$FGREP '       $(FCCOMPILE)'  Makefile.in
 
 Exit 0
diff --git a/tests/compile_f_c_cxx.test b/tests/compile_f_c_cxx.test
index 941c7db..a995527 100755
--- a/tests/compile_f_c_cxx.test
+++ b/tests/compile_f_c_cxx.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1998, 1999, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,6 +21,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AC_PROG_CC
 AC_PROG_CXX
@@ -37,14 +40,13 @@ END
 : > bar.c
 : > baz.cc
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
-
+$ACLOCAL
+$AUTOMAKE
 
 # Look for the macros at the beginning of rules.  Be careful, as there
 # are literal tabs at the beginning of the search strings.
-grep ' \$(COMPILE)'     Makefile.in  || Exit 1
-grep ' \$(CXXCOMPILE)'  Makefile.in  || Exit 1
-grep ' \$(F77COMPILE)'  Makefile.in  || Exit 1
+$FGREP '       $(COMPILE)'    Makefile.in
+$FGREP '       $(CXXCOMPILE)' Makefile.in
+$FGREP '       $(F77COMPILE)' Makefile.in
 
 Exit 0
diff --git a/tests/cond13.test b/tests/cond13.test
index 3cf5462..d8c4361 100755
--- a/tests/cond13.test
+++ b/tests/cond13.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AC_PROG_CC
 AC_PROG_CXX
@@ -47,7 +49,7 @@ endif
 libtest_a_SOURCES = $(TESTSOURCES)
 END
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
 grep 'am_libtest_a_OBJECTS = .*$' Makefile.in
diff --git a/tests/cond3.test b/tests/cond3.test
index 6728721..e2dbdaf 100755
--- a/tests/cond3.test
+++ b/tests/cond3.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1997, 1998, 1999, 2001, 2002, 2003  Free Software Foundation, 
Inc.
+# Copyright (C) 1997, 1998, 1999, 2001, 2002, 2003, 2010 Free Software
+# Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +20,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -53,8 +56,8 @@ endif
 targ_SOURCES = $(SONE) $(STWO) $(STHREE)
 END
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
 # `b top' so that
 sed -n '
@@ -76,4 +79,4 @@ am_targ_OBJECTS = $(am__objects_1) $(am__objects_2) 
$(am__objects_3)
 targ_OBJECTS = $(am_targ_OBJECTS)
 EOF
 
-diff expected produced || Exit 1
+diff expected produced
diff --git a/tests/cond6.test b/tests/cond6.test
index 1f442f9..ec40032 100755
--- a/tests/cond6.test
+++ b/tests/cond6.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 1998, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1998, 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +18,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 echo 'AM_CONDITIONAL(FOO, true)' >> configure.in
 
 cat > Makefile.am << 'END'
@@ -37,5 +39,5 @@ help_DATA = foo
 endif
 END
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/cond8.test b/tests/cond8.test
index 195a912..0a45ad3 100755
--- a/tests/cond8.test
+++ b/tests/cond8.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 1999, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1999, 2001, 2002, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,8 +19,12 @@
 
 . ./defs || Exit 1
 
-echo 'AC_PROG_CC' >> configure.in
-echo 'AM_CONDITIONAL(X, false)' >> configure.in
+set -e
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+AM_CONDITIONAL(X, false)
+END
 
 cat > Makefile.am << 'END'
 if X
@@ -30,5 +34,5 @@ noinst_PROGRAMS = x y
 endif
 END
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/conf2.test b/tests/conf2.test
index 23a8a5b..8e53733 100755
--- a/tests/conf2.test
+++ b/tests/conf2.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1997, 1998, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1997, 1998, 2000, 2001, 2002, 2010 Free Software
+# Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,6 +19,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -31,5 +34,5 @@ END
 : > config.h.in
 : > two.h.in
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
diff --git a/tests/confh4.test b/tests/confh4.test
index a93e38d..6fd4a07 100755
--- a/tests/confh4.test
+++ b/tests/confh4.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1999, 2000, 2001, 2002  Free Software Foundation, Inc.
+# Copyright (C) 1999, 2000, 2001, 2002, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,9 +16,17 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Test for PR 34.
+# > Description:
+#  Automake fails to add -I option to include configuration
+#  header indicated like AM_CONFIG_HEADER(magick/config.h)
+# > How-To-Repeat:
+#  Use AM_CONFIG_HEADER(subdir/config.h) to place configuration
+#  header in subdirectory and observe that it is not included.
 
 . ./defs || Exit 1
 
+set -e
+
 cat > configure.in << 'END'
 AC_INIT
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
@@ -38,7 +47,7 @@ mkdir include
 : > include/Makefile.am
 : > include/config.h.in
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
 $EGREP '^DEFAULT_INCLUDES =.* -I(\.|\$\(top_builddir\))/include' Makefile.in
diff --git a/tests/confvar.test b/tests/confvar.test
index f098baf..99811b0 100755
--- a/tests/confvar.test
+++ b/tests/confvar.test
@@ -18,13 +18,15 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AC_SUBST(QBERT)
 END
 
 : > Makefile.am
 
-$ACLOCAL || Exit 1
-$AUTOMAKE || Exit 1
+$ACLOCAL
+$AUTOMAKE
 
 grep '^QBERT' Makefile.in
diff --git a/tests/confvar2.test b/tests/confvar2.test
index ea9c81e..75c02dc 100755
--- a/tests/confvar2.test
+++ b/tests/confvar2.test
@@ -18,6 +18,8 @@
 
 . ./defs || Exit 1
 
+set -e
+
 cat >> configure.in << 'END'
 AC_SUBST(OTHER_SCRIPTS)
 END
@@ -26,5 +28,5 @@ cat > Makefile.am << 'END'
 bin_SCRIPTS = foo
 END
 
-$ACLOCAL || Exit 1
+$ACLOCAL
 $AUTOMAKE
-- 
1.6.5


reply via email to

[Prev in Thread] Current Thread [Next in Thread]